/// <reference types="react" />
import { GetStaticProps, InferGetStaticPropsType } from 'next';
import { Code, Example } from '../../components/demo/Doc';
export declare const preRenderCodeExample: (example: Example) => Code;
export declare const getStaticPaths: () => Promise<{
    paths: {
        params: {
            component: string;
        };
    }[];
    fallback: boolean;
}>;
export declare const getStaticProps: GetStaticProps;
declare const Docs: ({ codeExamples, component, }: InferGetStaticPropsType<typeof getStaticProps>) => JSX.Element;
export default Docs;
