"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var toResponsiveProps_1 = __importDefault(require("../modules/toResponsiveProps"));
var styled_components_1 = __importDefault(require("styled-components"));
var toResponsiveBreakpoint_1 = __importDefault(require("../modules/toResponsiveBreakpoint"));
var SetTopMarginSpacingHack = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  padding-top: 1px;\n  ", "\n"], ["\n  padding-top: 1px;\n  ",
    "\n"])), function (_a) {
    var space = _a.space, theme = _a.theme;
    return toResponsiveProps_1.default(space).map(function (space, index) {
        return "\n          " + toResponsiveBreakpoint_1.default(theme, index) + " {\n            &:before {\n              margin-top: " + (theme.spacing(-space) - 1) + "px;\n              content: \"\";\n              display: block;\n            }\n          }\n        ";
    });
});
exports.default = SetTopMarginSpacingHack;
var templateObject_1;
