import { ReactNode } from 'react';
export interface Doc {
    name: string;
    examples: Example[];
}
export interface Example {
    description: string;
    Example: () => JSX.Element;
    Container: ({ children }: {
        children: ReactNode;
    }) => JSX.Element;
}
export interface Code {
    code: string;
    playroomUrl: string;
}
declare const Doc: ({ doc, codeExamples }: {
    doc: Doc;
    codeExamples: Code[];
}) => JSX.Element;
export default Doc;
