"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var head_1 = __importDefault(require("next/head"));
var PlayCircleOutline_1 = __importDefault(require("@material-ui/icons/PlayCircleOutline"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var Stack_1 = __importDefault(require("../Stack"));
var Box_1 = __importDefault(require("../Box"));
var react_syntax_highlighter_1 = require("react-syntax-highlighter");
var prism_1 = require("react-syntax-highlighter/dist/cjs/styles/prism");
var Doc = function (_a) {
    var doc = _a.doc, codeExamples = _a.codeExamples;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(head_1.default, null,
            react_1.default.createElement("title", null,
                doc.name,
                " | MUI Primitives")),
        react_1.default.createElement(Stack_1.default, { space: 2 },
            react_1.default.createElement(Typography_1.default, { variant: 'h2' }, doc.name),
            doc.examples.map(function (_a, index) {
                var Example = _a.Example, Container = _a.Container, description = _a.description;
                return (react_1.default.createElement(react_1.Fragment, { key: index },
                    react_1.default.createElement(Typography_1.default, { variant: 'body1' }, description),
                    react_1.default.createElement(Container, null,
                        react_1.default.createElement(Example, null)),
                    react_1.default.createElement(Stack_1.default, { space: 1 },
                        react_1.default.createElement(react_syntax_highlighter_1.Prism, { language: 'javascript', style: prism_1.ghcolors, customStyle: {
                                fontSize: '1.2em',
                                lineHeight: '1.8em',
                                margin: 0,
                                border: '1px solid #ddd',
                            } }, codeExamples[index].code),
                        react_1.default.createElement(Box_1.default, { display: 'flex', justifyContent: 'flex-end' },
                            react_1.default.createElement(Button_1.default, { size: 'small', component: Link_1.default, target: '_blank', startIcon: react_1.default.createElement(PlayCircleOutline_1.default, null), href: codeExamples[index].playroomUrl }, "Run")))));
            }))));
};
exports.default = Doc;
